## org.jboss.metadata
Class ApplicationMetaData

    java.lang.Object
      |
      +--org.jboss.metadata.MetaData
            |
            +--org.jboss.metadata.ApplicationMetaData

All Implemented Interfaces:
  java.lang.Cloneable, XmlLoadable

public class ApplicationMetaData
extends MetaData

The top level meta data from the jboss.xml descriptor. MessageDriven Bean added

Version:
  $Revision: 1.16.4.5 $
Author:
  Sebastien Alborini, Peter Antman., Scott.Stark@jboss.org
See Also:
  <related>

Fields inherited from class org.jboss.metadata.MetaData
`TX_MANDATORY, TX_NEVER, TX_NOT_SUPPORTED, TX_REQUIRED, TX_REQUIRES_NEW, TX_SUPPORTS, TX_UNKNOWN`

Constructor Summary
`ApplicationMetaData()`
`ApplicationMetaData(java.net.URL u)`

Method Summary
`void` `addPluginData(java.lang.String pluginName, java.lang.Object pluginData)`
`BeanMetaData` `getBeanByEjbName(java.lang.String ejbName)`
`ConfigurationMetaData` `getConfigurationMetaDataByName(java.lang.String name)`
`java.util.Iterator` `getConfigurations()`
`boolean` `getEnforceEjbRestrictions()`
`java.util.Iterator` `getEnterpriseBeans()`
`java.lang.Object` `getPluginData(java.lang.String pluginName)`
`java.lang.String` `getResourceByName(java.lang.String name)`
`java.lang.String` `getSecurityDomain()`
`java.lang.String` `getUnauthenticatedPrincipal()`
`java.net.URL` `getUrl()`
`void` `importEjbJarXml(org.w3c.dom.Element element)`
`void` `importJbossXml(org.w3c.dom.Element element)`
`void` `setUrl(java.net.URL u)`

Methods inherited from class org.jboss.metadata.MetaData
`clone, getChildrenByTagName, getElementContent, getElementContent, getOptionalChild, getOptionalChild, getUniqueChild, importXml, jdk13Enabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplicationMetaData

    public ApplicationMetaData(java.net.URL u)

### ApplicationMetaData

    public ApplicationMetaData()

Method Detail

### getUrl

    public java.net.URL getUrl()

### setUrl

    public void setUrl(java.net.URL u)

### getEnterpriseBeans

    public java.util.Iterator getEnterpriseBeans()

### getBeanByEjbName

    public BeanMetaData getBeanByEjbName(java.lang.String ejbName)

### getConfigurations

    public java.util.Iterator getConfigurations()

### getConfigurationMetaDataByName

    public ConfigurationMetaData getConfigurationMetaDataByName(java.lang.String name)

### getResourceByName

    public java.lang.String getResourceByName(java.lang.String name)

### addPluginData

    public void addPluginData(java.lang.String pluginName,
                              java.lang.Object pluginData)

### getPluginData

    public java.lang.Object getPluginData(java.lang.String pluginName)

### getSecurityDomain

    public java.lang.String getSecurityDomain()

### getUnauthenticatedPrincipal

    public java.lang.String getUnauthenticatedPrincipal()

### getEnforceEjbRestrictions

    public boolean getEnforceEjbRestrictions()

### importEjbJarXml

    public void importEjbJarXml(org.w3c.dom.Element element)
                         throws DeploymentException

  Overrides:
    `importEjbJarXml` in class `MetaData`

### importJbossXml

    public void importJbossXml(org.w3c.dom.Element element)
                        throws DeploymentException

  Overrides:
    `importJbossXml` in class `MetaData`

Copyright © 2000 The JBoss Organization. All Rights Reserved.